package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.XysArticle;

/**
 * 文章管理Mapper接口
 * 
 * @author libao
 * @date 2024-07-08
 */
public interface XysArticleMapper 
{
    /**
     * 查询文章管理
     * 
     * @param id 文章管理主键
     * @return 文章管理
     */
    public XysArticle selectXysArticleById(Long id);

    /**
     * 查询文章管理列表
     * 
     * @param xysArticle 文章管理
     * @return 文章管理集合
     */
    public List<XysArticle> selectXysArticleList(XysArticle xysArticle);

    /**
     * 新增文章管理
     * 
     * @param xysArticle 文章管理
     * @return 结果
     */
    public int insertXysArticle(XysArticle xysArticle);

    /**
     * 修改文章管理
     * 
     * @param xysArticle 文章管理
     * @return 结果
     */
    public int updateXysArticle(XysArticle xysArticle);

    /**
     * 删除文章管理
     * 
     * @param id 文章管理主键
     * @return 结果
     */
    public int deleteXysArticleById(Long id);

    /**
     * 批量删除文章管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteXysArticleByIds(Long[] ids);
}
